<?php

function CodigoUF($estado) {
    switch ($estado) :
        case 'RO':
            return '11';
            break;
        case 'AC':
            return '12';
            break;
        case 'AM':
            return '13';
            break;
        case 'RR':
            return '14';
            break;
        case 'PA':
            return '15';
            break;
        case 'AP':
            return '16';
            break;
        case 'TO':
            return '17';
            break;
        case 'MA':
            return '21';
            break;
        case 'PI':
            return '22';
            break;
        case 'CE':
            return '23';
            break;
        case 'RN':
            return '24';
            break;
        case 'PB':
            return '25';
            break;
        case 'PE':
            return '26';
            break;
        case 'AL':
            return '27';
            break;
        case 'SE':
            return '28';
            break;
        case 'BA':
            return '29';
            break;
        case 'MG':
            return '31';
            break;
        case 'ES':
            return '32';
            break;
        case 'RJ':
            return '33';
            break;
        case 'SP':
            return '35';
            break;
        case 'PR':
            return '41';
            break;
        case 'SC':
            return '42';
            break;
        case 'RS':
            return '43';
            break;
        case 'MS':
            return '50';
            break;
        case 'MT':
            return '51';
            break;
        case 'GO':
            return '52';
            break;
        case 'DF':
            return '53';
            break;
    endswitch;
}

function soNumero($str) {
    return preg_replace("/[^0-9]/", "", $str);
}

function removeAcentos($texto) {
    $aFind = array('&', 'á', 'à', 'ã', 'â', 'é', 'ê',
        'í', 'ó', 'ô', 'õ', 'ú', 'ü', 'ç', 'Á', 'À', 'Ã', 'Â',
        'É', 'Ê', 'Í', 'Ó', 'Ô', 'Õ', 'Ú', 'Ü', 'Ç');
    $aSubs = array('e', 'a', 'a', 'a', 'a', 'e', 'e',
        'i', 'o', 'o', 'o', 'u', 'u', 'c', 'A', 'A', 'A', 'A',
        'E', 'E', 'I', 'O', 'O', 'O', 'U', 'U', 'C');
    $novoTexto = str_replace($aFind, $aSubs, $texto);
    $novoTexto = preg_replace("/[^a-zA-Z0-9 @,-.;:\/_]/", "", $novoTexto);
    return $novoTexto;
}
